For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve a list of products

Epsilon Retail Media's documentation is now centralized with our knowledgebase!

For up to date guides, please view this page in the new Integration APIs space of our documentation.

This returns a list of catalog products. The catalog products are returned, sorted by creation date, with the most recent catalog products first. The catalog products that have catalogId and GTINs are returned. If no GTINs are set, then all catalog products belonging to the specified catalog are returned.

Retrieve a list of products

get
Authorizations
AuthorizationstringRequired
Query parameters
limitinteger · int32Optional

Maximum 1000

skipinteger · int32Optional
catalogIdstringRequired
gtinsstring[]Optional
Responses
200

200

application/json
get/catalog-products
GET /v1/catalog-products?catalogId=text HTTP/1.1
Host: integration-BASE-URL.citrusad.com/
Authorization: YOUR_API_KEY
Accept: */*

{
    "catalogProducts": [
        {
            "teamId": "string",
            "catalogId": "string",
            "gtin": "string",
            "inventory": "number",
            "price": "number",
            "groups": [
                "string"
            ],
            "tags": [
                "string"
            ],
            "filters": [
                "string"
            ],
            "profit": "number"
        }
    ]
}